List of all members
clan::ZLibCompression Class Reference
clanCore I/O Data

Deflate compressor. More...

`#include <zlib_compression.h>`

## Operations
enum | CompressionMode { default_strategy, filtered, huffman_only, rle, fixed }
static DataBuffer | compress (const DataBuffer &data, bool raw=true, int compression_level=6, CompressionMode mode=default_strategy)
static DataBuffer | decompress (const DataBuffer &data, bool raw=true)

## Detailed Description

Deflate compressor.

The documentation for this class was generated from the following file:

- zlib_compression.h